Bug 118785 - Disk Druid reorganises the created partition.
Disk Druid reorganises the created partition.
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-03-20 06:09 EST by Frederic Soulier
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-22 00:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frederic Soulier 2004-03-20 06:09:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030630

Description of problem:
Ok installing FC2 Test1 in Custom mode and choosing Disk Druid.
I have /dev/hdg (80Gb HD) which is completely empty.

New    /boot       40 Mb     --> /dev/hdg1
New    SWAP      1024 Mb     --> /dev/hdg2
New    /          300 Mb     --> /dev/hdg3

New    LVM PV   55000 Mb

and I get:

/boot       /dev/hdg1
LVM PV      /dev/hdg2
SWAP        /dev/hdg3
Extended    /dev/hdg4
   /        /dev/hdg5

Why is the LVM PV created in /dev/hdg2 instead of /dev/hdg5?
Also is there a way to indicate the partition must be created as a
logical one in the Extended primary partition.

Ideally I want:
     /boot     /dev/hdg1
     Extended  /dev/hdg4
       SWAP    /dev/hdg5
       /       /dev/hdg6
       LVM PV  /dev/hdg7   

I don't see any way to do that at this stage of the installation (except
if I use fdisk before starting the install process to create these
partitions the way I want)

The "Force partition to be created as Primary" tick box does not seem to
have any effect...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install on a blank hd
2. create a /boot on /dev/hda1
3. create a swap on /dev/hda2
4. create a / on /dev/hda3
5. create a LVM PV on the rest of the disk

Actual Results:  /boot       /dev/hda1
LVM PV      /dev/hda2
SWAP        /dev/hda3
Extended    /dev/hda4
   /        /dev/hda5

Expected Results:  /boot       /dev/hda1
SWAP        /dev/hda2
/           /dev/hda3
Extended    /dev/hda4
   LVM PV   /dev/hda5

Additional info:

To bypass this problem, I have to create the partition the way I want
using fdisk before running FC2 Test1 installtion procedure.
Comment 1 Jeremy Katz 2004-03-22 00:48:55 EST
This isn't a bug.  The partitions aren't committed to disk until you
hit next.  We reorder them to optimize usage of the disk with growing
partitions, etc
Comment 2 Frederic Soulier 2004-03-22 17:57:29 EST
I fail to see the "optimize usage" trick...
When trying to get more info for bug# 118787 I started again with a
blank /dev/hdg disk.

I want to get:
   /boot        /dev/hdg1           80Mb
   EXTENDED     /dev/hdg4       (all disk)
   swap         /dev/hdg5         1024Mb
   /            /dev/hdg6          300Mb
   LVM PV       /dev/hdg7        55000Mb
And it's not possible for 2 reasons:
   - automatic re-ordering (I'm interested by te logic here...)
   - impossibility to create the extended partition myself

My fdisk /dev/hdg
   Device Boot    Start       End    Blocks   Id  System
/dev/hdg1   *         1        10     80293+  83  Linux
/dev/hdg2            11      7022  56323890   8e  Linux LVM
/dev/hdg3          7023      7153   1052257+  82  Linux swap
/dev/hdg4          7154      9729  20691720    f  Win95 Ext'd (LBA)
/dev/hdg5          7154      7191    305203+  83  Linux

which is not the partitioning I want.
So if this is a feature that means everytime I want to create
partitions to install Fedora Core I'll have to use fdisk first to get
what I want.
I personally think that's a bug... but as I said maybe I fail to see
the obvious here ;)

Note You need to log in before you can comment on or make changes to this bug.